Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
__sFILE64 Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
unsigned char * | _p
int | _r
int | _w
short | _flags
short | _file
struct __sbuf | _bf
int | _lbfsize
struct _reent * | _data
void * | _cookie
_ssize_t(* | _read )(struct _reent *, void *, char *, size_t)
_ssize_t(* | _write )(struct _reent *, void *, const char *, size_t)
_fpos_t(* | _seek )(struct _reent *, void *, _fpos_t, int)
int(* | _close )(struct _reent *, void *)
struct __sbuf | _ub
unsigned char * | _up
int | _ur
unsigned char | _ubuf [3]
unsigned char | _nbuf [1]
struct __sbuf | _lb
int | _blksize
int | _flags2
_off64_t | _offset
_fpos64_t(* | _seek64 )(struct _reent *, void *, _fpos64_t, int)
_flock_t | _lock
_mbstate_t | _mbstate

## Detailed Description

Definition at line 1008 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ _bf

struct __sbuf __sFILE64::_bf

Definition at line 1014 of file rb_mjit_min_header-2.7.0.h.

## ◆ _blksize

int __sFILE64::_blksize

Definition at line 1031 of file rb_mjit_min_header-2.7.0.h.

## ◆ _close

int(* __sFILE64::_close) (struct _reent *, void *)

Definition at line 1024 of file rb_mjit_min_header-2.7.0.h.

## ◆ _cookie

void* __sFILE64::_cookie

Definition at line 1017 of file rb_mjit_min_header-2.7.0.h.

## ◆ _data

struct _reent* __sFILE64::_data

Definition at line 1016 of file rb_mjit_min_header-2.7.0.h.

## ◆ _file

short __sFILE64::_file

Definition at line 1013 of file rb_mjit_min_header-2.7.0.h.

## ◆ _flags

short __sFILE64::_flags

Definition at line 1012 of file rb_mjit_min_header-2.7.0.h.

## ◆ _flags2

int __sFILE64::_flags2

Definition at line 1032 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lb

struct __sbuf __sFILE64::_lb

Definition at line 1030 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lbfsize

int __sFILE64::_lbfsize

Definition at line 1015 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lock

_flock_t __sFILE64::_lock

Definition at line 1035 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbstate

_mbstate_t __sFILE64::_mbstate

Definition at line 1036 of file rb_mjit_min_header-2.7.0.h.

## ◆ _nbuf

unsigned char __sFILE64::_nbuf[1]

Definition at line 1029 of file rb_mjit_min_header-2.7.0.h.

## ◆ _offset

_off64_t __sFILE64::_offset

Definition at line 1033 of file rb_mjit_min_header-2.7.0.h.

## ◆ _p

unsigned char* __sFILE64::_p

Definition at line 1009 of file rb_mjit_min_header-2.7.0.h.

## ◆ _r

int __sFILE64::_r

Definition at line 1010 of file rb_mjit_min_header-2.7.0.h.

## ◆ _read

_ssize_t(* __sFILE64::_read) (struct _reent *, void *, char *, size_t)

Definition at line 1018 of file rb_mjit_min_header-2.7.0.h.

## ◆ _seek

_fpos_t(* __sFILE64::_seek) (struct _reent *, void *, _fpos_t, int)

Definition at line 1023 of file rb_mjit_min_header-2.7.0.h.

## ◆ _seek64

_fpos64_t(* __sFILE64::_seek64) (struct _reent *, void *, _fpos64_t, int)

Definition at line 1034 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ub

struct __sbuf __sFILE64::_ub

Definition at line 1025 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ubuf

unsigned char __sFILE64::_ubuf[3]

Definition at line 1028 of file rb_mjit_min_header-2.7.0.h.

## ◆ _up

unsigned char* __sFILE64::_up

Definition at line 1026 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ur

int __sFILE64::_ur

Definition at line 1027 of file rb_mjit_min_header-2.7.0.h.

## ◆ _w

int __sFILE64::_w

Definition at line 1011 of file rb_mjit_min_header-2.7.0.h.

## ◆ _write

_ssize_t(* __sFILE64::_write) (struct _reent *, void *, const char *, size_t)

Definition at line 1020 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h